> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List skills

> List organization skills or checked-in repository skills using the same paginated response shape.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/skills
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/skills:
    get:
      tags:
        - Skills
      summary: List skills
      description: >-
        List organization skills or checked-in repository skills using the same
        paginated response shape.
      operationId: listSkills
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '50'
        - in: query
          name: names
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: array
                items:
                  type: string
                  minLength: 1
        - in: query
          name: repositoryIds
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            default: []
        - in: query
          name: search
          schema:
            type: string
            minLength: 1
        - in: query
          name: source
          schema:
            type: string
            enum:
              - organization
              - repository
            default: organization
      responses:
        '200':
          description: List skills
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        description:
                          type: string
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        keywords:
                          type: array
                          items:
                            type: string
                        source:
                          type: string
                          enum:
                            - organization
                            - repository
                      required:
                        - description
                        - id
                        - name
                        - keywords
                        - source
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    format: uuid
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Skill operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````